$(document).ready(function(){
	$("#country").change(function(){
		var countryval = parseInt( $("#country").val() );
		selectRegion(countryval);
	});
	
	$("#region").change(function(){
		var regionval = parseInt( $("#region").val() );
		selectCity(regionval);
	});
});

function selectRegion(countryval){
	var region = $("#region");
	
	$("#divregion, #divcity").hide();
	clear(region);
	clear($("#city"));
	
	if(countryval > 0){
		$("#divregion").fadeIn("slow");
		region.attr("disabled", false);
		region.load(
			"index.php",
			{countryval: countryval}
		);
	}	
}

function selectCity(regionval){
	var city = $("#city");
	
	$("#divcity").hide();
	clear(city);
	
	if(regionval > 0){
		$("#divcity").fadeIn("slow");
		city.attr("disabled", false);
		city.load(
			"index.php",
			{regionval: regionval}
		);
	}
}

function clear(val){
	val.empty();
	val.attr("disabled", true);
}